
%global meadversion 8.1.4
%global namedversion 8.1.4.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-openjdk-orb}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.1.4.Final-redhat-00002

Name:           %{?scl_prefix}jboss-openjdk-orb
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenJDK ORB
Group:          Development/Java

%if %with mead
Source100: openjdk-orb-8.1.4.Final-redhat-00002-project-sources.tar.gz
Source102: openjdk-orb-8.1.4.Final-redhat-00002.pom
Source103: openjdk-orb-8.1.4.Final-redhat-00002-sources.jar
Source104: openjdk-orb-8.1.4.Final-redhat-00002.jar
%endif

License:        GPLv2 with exceptions
URL:            https://github.com/jboss/openjdk-orb
BuildArch:      noarch
BuildRoot:      %{_tmppath}/openjdk-orb-%{namedversion}-%{release}-root

%description
JBoss repackaging of the OpenJDK ORB.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-openjdk-orb
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n openjdk-orb-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/openjdk-orb-%{namedversion}.jar %{buildroot}%{_javadir}/openjdk-orb-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/openjdk-orb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/openjdk-orb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/openjdk-orb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/openjdk-orb-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/openjdk-orb-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/openjdk-orb-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/openjdk-orb-%{namedversion} -x META-INF/\*
%{__ln_s} openjdk-orb-%{namedversion} %{buildroot}%{_javadocdir}/openjdk-orb
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-openjdk-orb
%defattr(0644,root,root,0755)
%doc LICENSE README THIRD_PARTY_README
%{_javadir}/openjdk-orb-%{namedversion}.jar
%{_javadir}/openjdk-orb.jar
%if %with javadoc
%{_javadir}/openjdk-orb-%{namedversion}-javadoc.jar
%{_javadir}/openjdk-orb-javadoc.jar
%endif
%{_javadir}/openjdk-orb-%{namedversion}-sources.jar
%{_javadir}/openjdk-orb-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/openjdk-orb-%{namedversion}
%{_javadocdir}/openjdk-orb
%endif

%changelog
* Fri Dec 06 2019 Permaine Cheung <pcheung@redhat.com> - 8.1.4-3.Final_redhat_00002.1
- 8.1.4.Final-redhat-00002

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 8.1.4-2.Final_redhat_00001.1
- 8.1.4.Final-redhat-00002

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 8.1.4-1.Final_redhat_00001.1
- 8.1.4.Final-redhat-00001

* Fri May 10 2019 Permaine Cheung <pcheung@redhat.com> - 8.1.3-1.Final_redhat_00001.1
- org.jboss.openjdk-orb-openjdk-orb-8.1.3.Final_redhat_00001

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 8.1.2-1.Final_redhat_00001.1
- upgrade to 8.1.2.Final-redhat-00001

* Thu Aug 09 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 8.1.2-1.Final_redhat_00001.1
- upgrade to 8.1.2.Final-redhat-00001

* Fri Jun 01 2018 Petr Sakar <psakar@redhat.com> - 8.1.1-1.Final_redhat_1.1
- upgrade to 8.1.1.Final-redhat-1

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 8.0.8-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 8.0.8-1.Final_redhat_1.1
- upgrade to 8.0.8.Final-redhat-1

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 8.0.7-1.Final_redhat_1.1
- upgrade to 8.0.7.Final-redhat-1

* Thu Mar 17 2016 Petr Sakar <psakar@redhat.com> - 8.0.6-1.Final_redhat_1.1
- upgrade to 8.0.6.Final-redhat-1

* Tue Sep 29 2015 Hui Wang <huwang@redhat.com> - 8.0.5-1.Final_redhat_1.1
- Upgrade to 8.0.5.Final-redhat-1

* Thu Jul 23 2015 Hui Wang <huwang@redhat.com> - 8.0.4-1.Final_redhat_1.1
- 8.0.4.Final-redhat-1 build

